PerspectiveManager (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit

## Class PerspectiveManager

- java.lang.Object
- - org.gjt.sp.jedit.PerspectiveManager

-     public class PerspectiveManager
      extends java.lang.Object

  Manages persistence of open buffers and views across jEdit sessions.
  Since:
    jEdit 4.2pre1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerspectiveManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPerspectiveDirty()` We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.
    `static boolean` | `isPerspectiveEnabled()` We disable saving of the perspective while the 'close all' dialog is showing.
    `static View` | `loadPerspective(boolean restoreFiles)`
    `static void` | `savePerspective(boolean autosave)`
    `static void` | `setPerspectiveDirty(boolean dirty)` We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.
    `static void` | `setPerspectiveEnabled(boolean enabled)` We disable saving of the perspective while the 'close all' dialog is showing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerspectiveManager

          public PerspectiveManager()

  - ### Method Detail

    - #### isPerspectiveDirty

          public static boolean isPerspectiveDirty()

      We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.
      Since:
        jEdit 4.2pre13

    - #### setPerspectiveDirty

          public static void setPerspectiveDirty(boolean dirty)

      We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.
      Since:
        jEdit 4.2pre13

    - #### isPerspectiveEnabled

          public static boolean isPerspectiveEnabled()

      We disable saving of the perspective while the 'close all' dialog is showing.
      Since:
        jEdit 4.3pre2

    - #### setPerspectiveEnabled

          public static void setPerspectiveEnabled(boolean enabled)

      We disable saving of the perspective while the 'close all' dialog is showing.
      Since:
        jEdit 4.3pre2

    - #### loadPerspective

          public static View loadPerspective(boolean restoreFiles)

    - #### savePerspective

          public static void savePerspective(boolean autosave)